oss-compat_6_i386.deb


Advertisement

Description

oss-compat - Open Sound System (OSS) compatibility package

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name oss-compat
Package version 6
Package architecture i386
Package type deb
Installed size 47 B
Download size 4.95 KB
Official Mirror archive.ubuntu.com
This package ensures that Open Sound System support is provided in
some way. On Linux, it enables the ALSA compatibility modules. On
other kernels where OSS is the default interface, no action is
taken.
The purpose of this package is for applications that only support OSS
to depend on it, hence preventing common "/dev/dsp not found" errors
that would confuse unexperienced users.
On Linux platforms a better approach nowadays is to use osspd, which
emulates OSS devices using ALSA or PulseAudio.

Alternatives

Package Version Architecture Repository
oss-compat_6_amd64.deb 6 amd64 Ubuntu Universe
oss-compat - - -

Requires

Name Value
kmod -

Download

Type URL
Binary Package oss-compat_6_i386.deb
Source Package oss-compat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install oss-compat deb package:
    # sudo apt-get install oss-compat

Files

Path
/lib/oss-compat/linux
/usr/share/doc/oss-compat/changelog.gz
/usr/share/doc/oss-compat/copyright

Changelog

2014-01-29 - Stephen Kitt <skitt@debian.org>
oss-compat (6) unstable; urgency=medium
* Fully detach the sub-processes waiting to remove the OSS modules, and
stop waiting if rmmod disappears. (Closes: #737054.)
2014-01-26 - Stephen Kitt <skitt@debian.org>
oss-compat (5) unstable; urgency=medium
* Stop using "rmmod -w" which is no longer supported. (Closes: #736584.)
* Standards-Version 3.9.5, no change required.
2013-08-21 - Stephen Kitt <skitt@debian.org>
oss-compat (4) unstable; urgency=low
* Remove oss-compat.conf when removing the package, so it doesn't load
the OSS modules when configured but not installed. (Closes: #718241.)
* Remove the OSS modules when removing the package. If anything is using
the modules, they are queued for removal as soon as they are freed.
* Switch to debhelper compat level 9.
* Only recommend osspd on Ubuntu and derivatives; suggest it on Debian
for now (we need to get the updated prerm or drop the OSS modules from
the kernel before transitioning to osspd).
2013-06-18 - Stephen Kitt <skitt@debian.org>
oss-compat (3) unstable; urgency=low
* Use softdep directives in the modprobe configuration. (Closes:
#660803.)
* Switch to my Debian address.
* Use canonical VCS URIs.
* Drop obsolete Lintian override for module-init-tools dependency.
* Recommend osspd, which provides OSS emulation using ALSA or PulseAudio
(LP: #659024, #983707).
* Standards-Version 3.9.4, no further change required.
2012-03-05 - Christoph Egger <christoph@debian.org>
oss-compat (2) unstable; urgency=low
[ Stephen Kitt ]
* Add VCS information.
[ Christoph Egger ]
* Team upload
* Do not depend on module-init-tools
* On linux it's transitional for kmod anyway
* on kfreebsd it got uninstallable due to changes in module-init-tools
recently (and there's nothing needed on kfreebsd)
* Make package arch:any so we can simplify Depends: to kmod [linux-any]
2012-01-15 - Stephen Kitt <steve@sk2.org>
oss-compat (1) unstable; urgency=low
* Switch to single-component versions.
* Declare the package is "Multi-Arch: foreign", thanks to Steve Langasek
for the hint! (Closes: #651335.)
* Make /etc/modprobe.d/oss-compat.conf a file, handling the various
upgrade cases, and only removing it on purge. (Closes: #649507.)
(LP: #340873)
* Add kmod as an alternative dependency to avoid preventing
module-init-tools' removal.
2011-06-08 - Bruno "Fuddl" Kleinert <fuddl@debian.org>
oss-compat (0.0.6) unstable; urgency=low
* Team upload.
* Re-upload without changes, because the last binary upload changed the
Maintainer field to myself by accident, which made the package look
hijacked.
2011-06-06 - Stephen Kitt <steve@sk2.org>
oss-compat (0.0.5) unstable; urgency=low
* New maintainer. (Closes: #594376.)
* Only modprobe snd. (Closes: #390747.)
* Update copyright file, switch to DEP-5 format.
* Drop obsolete modutils dependency.
* Switch to dh7 short form.
* Specify source format "3.0 (native)".
* Override depends-on-essential-package-without-using-version
explicitly; the dependencies allow this package to be installed on
hurd.
* Standards-Version 3.9.2, no further change required.
2009-03-18 - Michael Biebl <biebl@debian.org>
oss-compat (0.0.4+nmu3) unstable; urgency=low
* Non-maintainer upload.
* debian/{postinst,prerm}
- Update the symlink in /etc/modprobe.d/ to have a .conf suffix as
is required now by module-init-tools. (Closes: #518149)
2008-12-19 - Martín Ferrari <tincho@debian.org>
oss-compat (0.0.4+nmu2) unstable; urgency=high
[ Frank Lichtenheld ]
* Non-maintainer upload.
* Add the "install snd-{mixer,pcm,seq}" items alsa-base previously
had. Also remove the "install snd" item, we have no guarantee
that is is used anyway (see #397765).  (Closes: #500460) 
[ Martín Ferrari ]
* Uploading Frank's changes.

See Also

Package Description
oss-preserve_1.1-6ubuntu2_i386.deb Program to save/restore OSS mixer settings
oss4-base_4.2-build2010-5ubuntu1_i386.deb Open Sound System - base package
oss4-dev_4.2-build2010-5ubuntu1_all.deb Open Sound System - development files
oss4-dkms_4.2-build2010-5ubuntu1_i386.deb Open Sound System - DKMS module sources
oss4-gtk_4.2-build2010-5ubuntu1_i386.deb Open Sound System - simple GTK2-based mixer control
oss4-source_4.2-build2010-5ubuntu1_i386.deb Open Sound System - drivers sources
ossim-core_1.8.20.3+ds-5build1_i386.deb OSSIM core utilities
osslsigncode_1.7.1-2build1_i386.deb Authenticode signing tool
osspd-alsa_1.3.2-8_i386.deb OSS Proxy Daemon: ALSA backend (experimental)
osspd-pulseaudio_1.3.2-8_i386.deb OSS Proxy Daemon: PulseAudio backend
osspd_1.3.2-8_i386.deb OSS Proxy Daemon: Userland OSS emulation
ostinato_0.8-1build1_i386.deb Packet/Traffic Generator and Analyzer
ostree-tests_2017.12-1ubuntu1_i386.deb content-addressed filesystem for operating system binaries - tests
ostree_2017.12-1ubuntu1_i386.deb content-addressed filesystem for operating system binaries
otags_4.04.1-0ubuntu1_i386.deb tags file generator for OCaml
Advertisement
Advertisement